package cn.timer.api.utils;
/**
 * 招聘管理-面试流程记录模板
 *
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022-03-14 15:14:40
 */
public class ZpglMessageTemplate {

	public static final String FILTERING = "{0} 将候选人状态更改为[待初筛].";
	public static final String FILTER_PASS ="{0} 将候选人状态从[待初筛]更改为[初筛通过].";
	//,面试地址:{4}
	public static final String INTERVIEW ="{0} 为候选人安排了现场面试.面试轮次：第{1}轮,面试时间{2},面试官:{3}";
	public static final String INTERVIEWED ="{0} 将候选人状态从[已安排面试]更改为[已面试].面试轮次：第{1}轮.";
	public static final String INTERVIEW_PASS ="{0} 将候选人移动到[面试通过].";
	public static final String EMPLOY ="{0} 将候选人状态从[面试通过]更改为[拟录用].";
	public static final String OFFER ="{0} 给候选人发送了Offer.";
	public static final String ENTRYING ="{0} 将候选人状态从[待初筛]更改为[初筛淘汰], 淘汰原因:{1},备注:{2}";
	public static final String WAIT ="{0} 将候选人添加到待入职.";
	public static final String ENTRY ="{0} 为候选人办理了入职.";
	public static final String INTERVIEWED_ENTRYING ="{0} 将候选人状态从[{3}]更改为[面试淘汰], 淘汰原因:{1},备注:{2}";
	public static final String OFFER_ENTRYING ="{0} 将候选人状态从[{3}}]更改为[录用淘汰], 淘汰原因:{1},备注:{2}";
	public static final String SYS_ADD ="系统添加了候选人";

	public static final String TO_INTERVIEWER ="您好，候选人：{0} 已安排由您面试";
	public static final String TO_INTERVIEWEE ="候选人{0}您好！您所投递的 {1} 职位为您安排了面试";
	public static final String TO_APPLY ="请您认真填写应聘登记表";
	public static final String TO_CEPIN ="请您认真填写FPA测评试卷";
	public static final String THANKS ="候选人{0}您好！感谢您应聘{1}职位！";

	public static final String  OFFER_TEMPLATE = "<!DOCTYPE html><html lang=\"en\" xmlns=\"http://www.w3.org/1999/xhtml\" xmlns:th=\"http://www.thymeleaf.org\"><body><div><p style=\" line-height: 1.5;\">尊敬的<span>{0}</span></p>"+
			"<p style=\" line-height: 1.5;\"><br></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">感谢您对公司的认可，非常荣幸地通知您，您已被我司正式录用，欢迎您加入<span>{1}</span></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">您所入职的部门：<span>{2}</span></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">您所入职的岗位：<span>{3}</span></p>"+
			"<p style=\" line-height: 1.5;\"><br></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">入职所需的材料和证件</p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">1. 原单位离职证明（加盖原单位公章）1份</p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">2. 身份证原件</p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">3. 学位证、毕业证原件</p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">4. 相关资格证书原件</p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">5. 入职体检证明</p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\"><br></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">请您于<span>{4}</span>带以上材料，进行报到</p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\"><br></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">联系人：<span>{5}</span></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">联系电话：<span>{6}</span></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">联系人邮箱：<span>{7}</span></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\"><br></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">收到此通知后，请您点击底部按钮进行回复确认，再次欢迎您加入！<span>{1}</span>！</p>"+
			"<p style=\" line-height: 1.5;\"><br></p></div>"+
			"</body></html>";

	public static final String  OFFER_TEMPLATE = "<!DOCTYPE html><html lang=\"en\" xmlns=\"http://www.w3.org/1999/xhtml\" xmlns:th=\"http://www.thymeleaf.org\"><body><div><p style=\" line-height: 1.5;\">尊敬的<span>曾业龙</span></p>"+
			"<p style=\" line-height: 1.5;\"><br></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">感谢您对公司的认可，非常荣幸地通知您，您已被我司正式录用，欢迎您加入<span>广东黑猫信息科技有限公司</span></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">您所入职的部门：<span>人事部</span></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">您所入职的岗位：<span>结算岗</span></p>"+
			"<p style=\" line-height: 1.5;\"><br></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">入职所需的材料和证件</p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">1. 原单位离职证明（加盖原单位公章）1份</p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">2. 身份证原件</p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">3. 学位证、毕业证原件</p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">4. 相关资格证书原件</p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">5. 入职体检证明</p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\"><br></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">请您于<span>2018-08-06</span>带以上材料，进行报到</p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\"><br></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">联系人：<span>陶湘宇</span></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">联系电话：<span>18665645253</span></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">联系人邮箱：<span></span></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\"><br></p>"+
			"<p style=\"text-indent: 2em;  line-height: 1.5;\">收到此通知后，请您点击底部按钮进行回复确认，再次欢迎您加入！<span>广东黑猫信息科技有限公司</span>！</p>"+
			"<p style=\" line-height: 1.5;\"><br></p></div>"+
			"</body></html>";

	public static String print(String template, String[] values) {
		if (null == values || values.length == 0) {
			return template;
		}

		String msg = template;
		for (int i = 0; i < values.length; i++) {
			msg = msg.replace("{" + i + "}", values[i]);
		}

		return msg;
	}
	public static void main(String[] args) {
		System.out.println(ZpglMessageTemplate.print(FILTER_PASS, new String[] {
				"wuqingjun", "types" }));
	}
}
